Comment 62 for bug 1163886

Open terminal and run software center the following way: software-center --force-rtl
I have gnome 3.8 and it's working for me :)
Try it